aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2024-10-29 12:17:18 +0100
committerUlrich Müller <ulm@gentoo.org>2024-10-29 12:40:15 +0100
commitcbc990eda2422d121e775d7bdf82e00cb0160fbd (patch)
tree2f4f570a4bd7923b2820063b7493807954438197
parentbin/gen-eclass-html.sh: Add local variables block for Emacs (diff)
downloaddevmanual-cbc990eda2422d121e775d7bdf82e00cb0160fbd.tar.gz
devmanual-cbc990eda2422d121e775d7bdf82e00cb0160fbd.tar.bz2
devmanual-cbc990eda2422d121e775d7bdf82e00cb0160fbd.zip
bin/gen-eclass-html.sh: Update message for eclasses fallback
Signed-off-by: Ulrich Müller <ulm@gentoo.org>
-rwxr-xr-xbin/gen-eclass-html.sh31
1 files changed, 18 insertions, 13 deletions
diff --git a/bin/gen-eclass-html.sh b/bin/gen-eclass-html.sh
index b17fbc5..3a4decc 100755
--- a/bin/gen-eclass-html.sh
+++ b/bin/gen-eclass-html.sh
@@ -180,31 +180,36 @@ Note that most eclasses have an accompanying manual page. These man pages can be
installed by emerging <c>app-doc/eclass-manpages</c>.
</p>
-</body>
-
-<section>
-<title>Contents</title>
-<body>
EOF
if [[ -n ${NOMAN} ]]; then
cat <<- 'EOF' >> "${OUTPUTDIR}"/text.xml || exit 1
- <warning>
- This is only a placeholder. If you see this text in the output document,
- then the eclass documentation is missing.
- </warning>
+ <note>
+ This version of the devmanual does not include the eclass documentation.
+ </note>
+ </body>
EOF
else
- echo '<ul class="list-group">' >> "${OUTPUTDIR}"/text.xml || exit 1
+ cat <<- 'EOF' >> "${OUTPUTDIR}"/text.xml || exit 1
+ </body>
+
+ <section>
+ <title>Contents</title>
+ <body>
+
+ <ul class="list-group">
+ EOF
for i in $(find "${OUTPUTDIR}" -maxdepth 1 -mindepth 1 -type d | sort); do
echo "<li><uri link=\"$(basename $i)/index.html\">$(basename $i)</uri></li>" >> "${OUTPUTDIR}"/text.xml || exit 1
done
- echo '</ul>' >> "${OUTPUTDIR}"/text.xml || exit 1
+ cat <<- 'EOF' >> "${OUTPUTDIR}"/text.xml || exit 1
+ </ul>
+ </body>
+ </section>
+ EOF
fi
cat << 'EOF' >> "${OUTPUTDIR}"/text.xml || exit 1
-</body>
-</section>
</chapter>
</guide>
EOF